
# If set, this means wkhtmltopdf is not installed
WKHTMLTOPDF := $(shell wkhtmltopdf -V 2> /dev/null)

## install-html-to-pdf-lib: installs library for HTML to PDF conversion
.PHONY: install-html-to-pdf-lib
install-html-to-pdf-lib:
ifndef WKHTMLTOPDF
	wget https://downloads.wkhtmltopdf.org/0.12/0.12.5/wkhtmltox_0.12.5-1.stretch_amd64.deb -O wkhtmltox_0.12.5-1.stretch_amd64.deb
	dpkg --install wkhtmltox_0.12.5-1.stretch_amd64.deb 2> /dev/null
	apt-get update
	apt-get install -f
	rm wkhtmltox_0.12.5-1.stretch_amd64.deb
else
	@echo "wkhtmltopdf lib is installed. Version is: $(WKHTMLTOPDF)"
endif
